<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: SDIO slot driver API</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>SDIO slot driver API</h1>The SDIO slot driver API provides an interface for the SDIO layer to driver an SDIO slot (socket).  
<a href="#_details">More...</a><table border=0 cellpadding=0 cellspacing=0>
<tr><td></td></tr>
<tr><td colspan=2><br><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>struct &nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__slot.html">sdio_slot</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>struct &nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structslot__caps.html">slot_caps</a></td></tr>

<tr><td colspan=2><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga10" doxytag="sdriver::CSPI_FUNC" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_FUNC</b>(f)&nbsp;&nbsp;&nbsp;(f)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga11" doxytag="sdriver::CSPI_READ" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_READ</b>&nbsp;&nbsp;&nbsp;0x10</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga12" doxytag="sdriver::CSPI_WRITE" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_WRITE</b>&nbsp;&nbsp;&nbsp;0x20</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga13" doxytag="sdriver::CSPI_BURST" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_BURST</b>&nbsp;&nbsp;&nbsp;0x40</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga14" doxytag="sdriver::CSPI_TYPE_MASK" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_TYPE_MASK</b>&nbsp;&nbsp;&nbsp;0x70</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga15">CSPI_MODE</a>&nbsp;&nbsp;&nbsp;0xf7</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga16" doxytag="sdriver::CSPI_MODE_PADDED_WRITE_HDRS" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_MODE_PADDED_WRITE_HDRS</b>&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 7)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga17" doxytag="sdriver::CSPI_MODE_PADDED_READ_HDRS" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_MODE_PADDED_READ_HDRS</b>&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 6)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga18">CSPI_MODE_BE_REG</a>&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 5)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga19" doxytag="sdriver::CSPI_MODE_BE_BURST" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_MODE_BE_BURST</b>&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 4)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga20" doxytag="sdriver::CSPI_MODE_INT_ACTIVE_HIGH" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_MODE_INT_ACTIVE_HIGH</b>&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 3)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga21" doxytag="sdriver::CSPI_MODE_INT_ON_ERR" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_MODE_INT_ON_ERR</b>&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 2)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga22" doxytag="sdriver::CSPI_MODE_LEN_FIELD_PRESENT" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_MODE_LEN_FIELD_PRESENT</b>&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 1)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga23" doxytag="sdriver::CSPI_MODE_DRV_MISO_ON_RISING_CLK" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_MODE_DRV_MISO_ON_RISING_CLK</b>&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 0)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga24" doxytag="sdriver::CSPI_STATUS" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_STATUS</b>&nbsp;&nbsp;&nbsp;0xf8</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga25" doxytag="sdriver::CSPI_PADDING" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_PADDING</b>&nbsp;&nbsp;&nbsp;0xf9</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga26" doxytag="sdriver::CSPI_PADDING_REG" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_PADDING_REG</b>(p)&nbsp;&nbsp;&nbsp;((p) &lt;&lt; 0)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga27" doxytag="sdriver::CSPI_PADDING_BURST" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_PADDING_BURST</b>(p)&nbsp;&nbsp;&nbsp;((p) &lt;&lt; 4)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga28" doxytag="sdriver::CSPI_PADDING_MAX" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_PADDING_MAX</b>&nbsp;&nbsp;&nbsp;15</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga29" doxytag="sdriver::CSPI_PADDING_REG_DFLT" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_PADDING_REG_DFLT</b>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga30" doxytag="sdriver::CSPI_PADDING_BURST_DFLT" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_PADDING_BURST_DFLT</b>&nbsp;&nbsp;&nbsp;2</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga31" doxytag="sdriver::CSPI_REG_TRANSFER_LEN" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>CSPI_REG_TRANSFER_LEN</b>&nbsp;&nbsp;&nbsp;(1 + 3 + CSPI_PADDING_MAX + 1 + 2)</td></tr>

<tr><td colspan=2><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>enum &nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga32">sdio_power</a> { <br>
&nbsp;&nbsp;<a class="el" href="group__sdriver.html#gga32a3">SDIO_POWER_OFF</a> =  0, 
<br>
&nbsp;&nbsp;<a class="el" href="group__sdriver.html#gga32a4">SDIO_POWER_3V3</a> =  33
<br>
 }</td></tr>

<tr><td colspan=2><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga0">sdio_card_inserted</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga1">sdio_card_removed</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga2">sdio_cmd_complete</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot, struct <a class="el" href="structsdio__cmd.html">sdio_cmd</a> *cmd)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga3">sdio_interrupt</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga4">sdio_suspend</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga5">sdio_resume</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga6">sdio_slot_alloc</a> (size_t drv_data_size)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga7">sdio_slot_free</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>int&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga8">sdio_slot_register</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__sdriver.html#ga9">sdio_slot_unregister</a> (struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *slot)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
The SDIO slot driver API provides an interface for the SDIO layer to driver an SDIO slot (socket). 
<p>
Slot drivers register with the SDIO layer (<a class="el" href="group__sdriver.html#ga10">sdio_slot_register()</a>), providing functions to starting commands, enabling/disable card interrupts, card detection and bus power control.<p>
Functions are provided to notify the SDIO layer when a command has completed (<a class="el" href="group__sdriver.html#ga15">sdio_cmd_complete()</a>) and when an SDIO card interrupt has occurred (<a class="el" href="group__sdriver.html#ga14">sdio_interrupt()</a>). <hr><h2>Define Documentation</h2>
<a class="anchor" name="ga15" doxytag="cspi.h::CSPI_MODE" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define CSPI_MODE&nbsp;&nbsp;&nbsp;0xf7
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
CSPI_MODE function 0 register.<p>
Various CSPI mode settings.<p>
<dl compact><dt><b>See also:</b></dt><dd>CSPI specification (CS-110124-SP) </dd></dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga18" doxytag="cspi.h::CSPI_MODE_BE_REG" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define CSPI_MODE_BE_REG&nbsp;&nbsp;&nbsp;(1 &lt;&lt; 5)
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
BigEndianRegisters bit of <a class="el" href="group__sdriver.html#ga15">CSPI_MODE</a> -- enable big-endian CSPI register reads and writes.<p>
<dl compact><dt><b>Warning:</b></dt><dd>This bit should never be set as it's not possible to use this mode without knowledge of which registers are 8 bit and which are 16 bit. </dd></dl>
    </td>
  </tr>
</table>
<hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="ga32" doxytag="slot_api.h::sdio_power" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> enum <a class="el" href="group__sdriver.html#ga32">sdio_power</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Valid SDIO bus voltage levels. <dl compact><dt><b>Enumeration values: </b></dt><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em><a class="anchor" name="gga32a3" doxytag="SDIO_POWER_OFF" ></a>SDIO_POWER_OFF</em>&nbsp;</td><td>
Power switched off. </td></tr>
<tr><td valign=top><em><a class="anchor" name="gga32a4" doxytag="SDIO_POWER_3V3" ></a>SDIO_POWER_3V3</em>&nbsp;</td><td>
Voltage set to 3.3V. </td></tr>
</table>
</dl>
    </td>
  </tr>
</table>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="ga0" doxytag="sdio_card.c::sdio_card_inserted" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void sdio_card_inserted </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>slot</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Notify the SDIO layer that a card has been inserted.<p>
Callable from: thread context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot for the inserted card. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga1" doxytag="sdio_card.c::sdio_card_removed" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void sdio_card_removed </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>slot</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Notify the SDIO layer that a card has been removed<p>
Callable from: thread context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot for the removed card. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga2" doxytag="sdio_cmd.c::sdio_cmd_complete" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void sdio_cmd_complete </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>slot</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>struct <a class="el" href="structsdio__cmd.html">sdio_cmd</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>cmd</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Notify the SDIO layer that an SDIO commmand has completed.<p>
Slot drivers should set the <em>cmd's</em> status and response and call this when a command has completed (either successfully or not).<p>
Callable from: interrupt context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot which completed the command. </td></tr>
    <tr><td valign=top><em>cmd</em>&nbsp;</td><td>the completed command. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga3" doxytag="sdio_int.c::sdio_interrupt" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void sdio_interrupt </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>slot</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Notify the SDIO layer that the card interrupt is asserted.<p>
Callable from: interrupt context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot with the asserted interrupt. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga5" doxytag="sdio_pm.c::sdio_resume" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void sdio_resume </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>slot</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Notify the SDIO driver that the resume event has been received.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot being resumed. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga6" doxytag="sdio_slot.c::sdio_slot_alloc" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> struct <a class="el" href="structsdio__slot.html">sdio_slot</a>* sdio_slot_alloc </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">size_t&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>drv_data_size</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Allocate and initialize and SDIO slot driver structure.<p>
Callable from: thread context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>drv_data_size</em>&nbsp;</td><td>size of slot driver's drv_data.</td></tr>
  </table>
</dl>
<dl compact><dt><b>Returns:</b></dt><dd>the allocated structure; or NULL if no memory could be allocated. </dd></dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga7" doxytag="sdio_slot.c::sdio_slot_free" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void sdio_slot_free </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>slot</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Free a slot_driver allocated with <a class="el" href="group__sdriver.html#ga8">sdio_slot_alloc()</a>.<p>
Callable from: thread context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot driver to free. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga8" doxytag="sdio_slot.c::sdio_slot_register" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int sdio_slot_register </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>slot</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Register a slot driver with the SDIO layer.<p>
Callable from: thread context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot driver to register.</td></tr>
  </table>
</dl>
<dl compact><dt><b>Returns:</b></dt><dd>0 on success; -ve on error: -ENOMEM - maximum number of slots are already registered.</dd></dl>
<dl compact><dt><b>See also:</b></dt><dd><a class="el" href="group__config.html#ga0">SDD_SLOTS_MAX</a> </dd></dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga9" doxytag="sdio_slot.c::sdio_slot_unregister" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void sdio_slot_unregister </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>slot</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Unregister a slot driver from the SDIO layer.<p>
Callable from: thread context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot driver to unregister. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga4" doxytag="sdio_pm.c::sdio_suspend" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void sdio_suspend </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">struct <a class="el" href="structsdio__slot.html">sdio_slot</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>slot</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Notify the SDIO driver that the suspend event has been received.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>slot</em>&nbsp;</td><td>the slot being suspended. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
